com.verisign.epp.codec.registry.v02

## Enum EPPRegistryInfoCmd.Scope

- java.lang.Object
- - java.lang.Enum<EPPRegistryInfoCmd.Scope>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryInfoCmd.Scope

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPRegistryInfoCmd.Scope>
  Enclosing class:
    EPPRegistryInfoCmd

      public static enum EPPRegistryInfoCmd.Scope
      extends java.lang.Enum<EPPRegistryInfoCmd.Scope>

  Possible values for the `scope` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accessible` Indicate the zones that are accessible to the client.
    `available` Indicate the zones that are not accessible to the client but available on the server.
    `both` Indicate both accessible and available zones

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryInfoCmd.Scope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPRegistryInfoCmd.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accessible

          public static final EPPRegistryInfoCmd.Scope accessible

      Indicate the zones that are accessible to the client.

    - #### available

          public static final EPPRegistryInfoCmd.Scope available

      Indicate the zones that are not accessible to the client but available on the server.

    - #### both

          public static final EPPRegistryInfoCmd.Scope both

      Indicate both accessible and available zones

  - ### Method Detail

    - #### values

          public static EPPRegistryInfoCmd.Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryInfoCmd.Scope c : EPPRegistryInfoCmd.Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryInfoCmd.Scope valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.